Security Enhanced Linux Reference Policy

# Layer: system

## Module: ipsec

Interfaces

### Description:

TCP/IP encryption

### Interfaces:

ipsec_domtrans( domain )

##### Summary

Execute ipsec in the ipsec domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

ipsec_domtrans_racoon( domain )

##### Summary

Execute racoon in the racoon domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

ipsec_domtrans_setkey( domain )

##### Summary

Execute setkey in the setkey domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

ipsec_exec_mgmt( domain )

##### Summary

Execute the IPSEC management program in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

ipsec_getattr_key_sockets( domain )

##### Summary

Get the attributes of an IPSEC key socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

ipsec_manage_pid( domain )

##### Summary

Create, read, write, and delete the IPSEC pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

ipsec_match_default_spd( domain )

##### Summary

Match the default SPD entry.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ipsec_read_config( domain )

##### Summary

Read the IPSEC configuration

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

ipsec_run_setkey( domain , role )

##### Summary

Execute setkey and allow the specified role the domains.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed the racoon and setkey domains.

ipsec_setcontext_default_spd( domain )

##### Summary

Set the context of a SPD entry to the default context.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ipsec_stream_connect( domain )

##### Summary

Connect to IPSEC using a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

ipsec_write_pid( domain )

##### Summary

write the ipsec_var_run_t files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return